<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__cbfc__credit__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_cbfc_credit_info_t</compoundname>
    <includes local="no">cy_ble_stack_l2cap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__cbfc__credit__info__t_1a1b74aabef440546841abb955a6b0b95f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_credit_info_t::localCid</definition>
        <argsstring />
        <name>localCid</name>
        <briefdescription>
<para>This parameter specifies the local L2CAP channel end-point for this new L2CAP channel. </para>        </briefdescription>
        <detaileddescription>
<para>On receipt of L2CAP Connect Request command from the peer, the local L2CAP will temporarily create a channel. This parameter identifies the new channel. If the upper-layer PSM chooses to reject this connection, this temporary channel will be closed. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="249" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="249" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__credit__info__t_1a19db9af4e2a6369dd01d0d42af1f2bdc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_credit_info_t::credit</definition>
        <argsstring />
        <name>credit</name>
        <briefdescription>
<para>The credit value field represents number of Credits the receiving device can increment. </para>        </briefdescription>
        <detaileddescription>
<para>The credit value field is a number between 1 and 65535. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="253" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="253" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Connect response parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="255" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="243" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="244" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__credit__info__t_1a19db9af4e2a6369dd01d0d42af1f2bdc" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_credit_info_t</scope><name>credit</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__credit__info__t_1a1b74aabef440546841abb955a6b0b95f" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_credit_info_t</scope><name>localCid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>